{{ define "main" }}

<main>
  <h1>{{ .Page.Title }}</h1>

  {{ .Content }}

  <div class='pagelist'>
    {{ range (.Paginate .Pages).Pages }}
      {{ .Render "summary" }}
    {{ end }}
  </div>

  <div class='pagination'>
    {{ if .Paginator.HasPrev }}
      <a href='{{ .Paginator.Prev.URL }}' class='left arrow'>&#8592;</a>
    {{ end }}
    {{ if .Paginator.HasNext }}
      <a href='{{ .Paginator.Next.URL }}' class='right arrow'>&#8594;</a>
    {{ end }}

    {{ if or (.Paginator.HasPrev) (.Paginator.HasNext) }}
      <span>{{ .Paginator.PageNumber }}</span>
    {{ end }}
  </div>
</main>

{{ end }}
